var gulp = require('gulp');
var elixir = require('laravel-elixir');
var notify = require('gulp-notify');
var stylus = require('gulp-stylus');
var autoprefixer = require('gulp-autoprefixer');
var minify = require('gulp-minify-css');

//var config = elixir.config;

gulp.task('stylus', function() {
    var onError = function(err) {
        notify.onError({
            title:    "Laravel Elixir",
            subtitle: "Stylus Compilation Failed!",
            message:  "Error: <%= error.message %>",
            icon: __dirname + '/../icons/fail.png'
        })(err);

        this.emit('end');
    };

    //return gulp.src(config.preprocessors.stylus.src)
    return gulp.src('resources/assets/stylus/**/*.styl')
        .pipe(stylus()).on('error', onError)
        .pipe(autoprefixer())
        .pipe(minifyCss())
        .pipe(gulp.dest('public/css'))
        .pipe(notify({
            title: 'Laravel Elixir',
            subtitle: 'Stylus Compiled!',
            icon: __dirname + '/../laravel-elixir/icons/laravel.png',
            message: ' '
        }));
});

elixir.extend('stylus');
